package cn.freemud.manager;

import cn.freemud.entities.db.PartnerWxapp;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest
public class PartnerWxappManagerTest {

    @Autowired
    private PartnerWxappManager partnerWxappManager;

    @Test
    public void getPartnerWxappByAppid(){
        String partnerId = "360bb48b-5316-458a-903e-9a44c7f339b1";
        String appid = "wx2eba2ce69704a6c7";
        PartnerWxapp partnerWxapp = partnerWxappManager.getPartnerWxappByPartnerIdAndAppid(partnerId,appid);
        System.out.println("partnerwxapp==" + partnerWxapp);
    }

    @Test
    public void getPartnerWxappByWxAppid(){
        String partnerId = "360bb48b-5316-458a-903e-9a44c7f339b1";
        String wxAppid = "wx2eba2ce69704a6c7";
        PartnerWxapp partnerWxapp = partnerWxappManager.getPartnerWxappByPartnerIdAndWxAppid(partnerId,wxAppid);
        System.out.println("partnerwxapp==" + partnerWxapp);
    }
}
